#!/bin/sh

# Run rerun.sh on a lammps trajectory,
# For each frame in that trajectory, thse commands will
# extract the energy of each frame, and store it in "Uint.dat"

# My LAMMPS binary is named "lmp_ubuntu".  
# If yours is named something else, change this next line:
LAMMPSBIN=lmp_ubuntu

# To be safe, just in case you have run this command before, 
# get rid of any debris you might have left over at that time:
rm -rf rerun_frame*/


rerun.sh $LAMMPSBIN in.rerun.Uint system.data system.in.sw < traj_npt.lammpstrj

NUM_FRAMES=`ls rerun_frame*/tmp.in | awk 'END{print NR}'`
rm -f Uint.dat
for ((i=1; i <= "$NUM_FRAMES"; i++)); do
    # Each simulation creats a U.dat file containing a comment line 
    # followed by a single number.  Extract the number and store it in Uint.dat
    awk '{if (NR==2) print $0}' < rerun_frame${i}/U.dat >> Uint.dat
done

# You probably want to clean up or delete these directories later.
# But I'll leave them here for this example.
#rm -rf rerun_frame*/


